<?php

/**

 *mod_wdc_visits package

 * @author WDC <contact@web-designs-company.com<>

 * @link http://www.web-designs-company.com

 * Copyright (C) 201o - 2011 by web-designs-company.com. All rights reserved.

 * @license GNU/GPL, see LICENSE.php for full license.

**/



// no direct access

defined('_JEXEC') or die('Restricted access');



jimport( 'joomla.error.error' );



// Include the syndicate functions only once

/*$installfile = realpath( dirname(__FILE__).'/../..' )."\administrator\components\com_jegroupbuy\install.jegroupbuy.php";



if( !file_exists($installfile)) {

	echo "<p style='color:red; font-weight:bold;'>".JText::_('JE_GROUPBUY_ERROR')."</p>";

} else {*/

//	require_once( $installfile);

	$mosConfig_absolute_path = realpath( dirname(__FILE__).'/../..' );
	
	require_once dirname(__FILE__).DS.'helper.php';

	$doc   = & JFactory::getDocument();

	$css   = JURI::base().'modules/mod_jegroupbuydeals/assets/css/style.css';

	$doc->addStyleSheet($css);


	$count  = $params->get('count','5');

	$catid  = $params->get('catid','');



	$name 	= HTML_jegroupbuy::displayDeals($params);

	$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));



	$layout =  $params->get('layout', 'default');

	require JModuleHelper::getLayoutPath('mod_jegroupbuydeals', $layout);

//}
?>